
/*****************************************************************************/
/*                                                                           */
/* Declarations des operateurs utilises                                      */
/*                                                                           */
/*****************************************************************************/

:-module(decls,[]).

:-user:(dynamic
	agents/2,
	max_depth/1,
	inference/6,
	state/6,
	entrance/6,
	invariant/6,
	exit/6,
	perception/6,
	update/7,
	generation/6,
	interdiction/6
).

op([]):-!.
op([Precedence,Type,Name|Others]):-
	op(Precedence,Type,Name),
	op(Others).

:-op(
	[
		1150,	fx,		[game, agent],
		1150,	xfx,	are,

		975,	xfx,	=>,

		950,	xfx,	[then, when],

		930,	xfx,	#,

		925,	xfx,	|,

		900,	fx,		import,

		700,	xfx,	in,

		500,	yfx,	or,
		400,	yfx,	and,

		350,	xfy,	[b,w,kif,a],

		240,	xfy,	[!,?,'!?',$],

		200,	fx,		-
	]
).
